Page MenuHomePhabricator

Config/Settings/Dialogs cleanups, redesign, irks etc.
Open, TODOPublic

Description

I am starting this task since -according to raster- the config will be rewritten in elm after E18 in order to have a place to start the discussion. Some things need cleanup -in terms of UI/UX of course- other need better grouping, some things need to be redesigned. Of course all this needs to be logical, consistent (to the end user), visually appealing and not hide functionality (we are not gnome 3 after all).

I'll be adding subtasks with various things i have in mind so they can be discussed. Please add your subtasks/ideas and flame your heart out.

ApB created this task.Nov 22 2013, 2:30 PM
ApB updated the task description. (Show Details)
ApB raised the priority of this task from to Pending on user input.
ApB assigned this task to zmike.
ApB added a project: enlightenment-git.
ApB added subscribers: ApB, raster.
ApB edited this Maniphest Task.Nov 22 2013, 2:51 PM
ApB edited this Maniphest Task.Nov 22 2013, 3:21 PM
ApB edited this Maniphest Task.Dec 27 2013, 2:26 AM
abyomi0 added a subscriber: abyomi0.Mar 1 2014, 8:25 PM
abyomi0 added a comment.EditedMar 9 2014, 4:11 PM

I understand the reason why Edge Bindings holds the settings for flipping virtual desktops...but I'm not sure if it would be obvious to new users (hell, I didn't get that the first time.) that in order to shut it off, they'd have to go to :

Settings > Input > Edge Bindings

instead of

Settings > Virtual Desktops > ...

or even from the gadget on the default shelf.

Also, is there a really big difference between Virtual Deskop and Pager?
(seems to me that some of their options could be merged or something.)

{F8713}

abyomi0 edited this Maniphest Task.Mar 9 2014, 4:38 PM
abyomi0 changed the visibility from "All Users" to "Public (No Login Required)".Jun 10 2014, 10:54 AM
abyomi0 attached 1 file(s): Restricted File.EditedJun 11 2014, 8:21 PM

Should the Settings menu be redesigned taking cues from Mac OS or xfce, etc.
I think it would be nice to have the regular view (see attached file...assuming it works) only instead of gray background the logo (http://www.enlightenment.org/p/index/d/logo.png) would be there, along with the gray background like it is in About. As long as it didn't cause any readability issues, etc.

... This would be so much less wordy if I could just learn to make mockups. :-\

btw - edge flip used to be part of virtual desktop config - until someone decided to make edge flipping all general and bindable...

as for why config panel doesnt look like xfce? we simply have no widget/layout like that in e. we could do it with elm and gengrid tho with a special layout.

but i have thoughts on config that come from a different angle... i need to mock it up or do a demo to show it. when i get time i'll do it to show what i mean. i have a very specific image and set of animations in my head for what i currently picture as a universal config handler in efl - not just e, but apps too.

ApB added a comment.Jun 12 2014, 1:59 AM

If it is similar to the terminology one (Rclick>settings) it will be ok for apps (really like it TBH) but on a settings panel i can't see it working. And the difference is that in an app you do what the app should do and configuratioin/settings are secondary BUT on a settings panel settings are the primary use.

If it is similar to the terminology one (Rclick>settings) it will be ok for apps (really like it TBH) but on a settings panel i can't see it working. And the difference is that in an app you do what the app should do and configuratioin/settings are secondary BUT on a settings panel settings are the primary use.

Oh well. I'll try to make a mockup to fully explain.

btw - edge flip used to be part of virtual desktop config - until someone decided to make edge flipping all general and bindable...

About Edge Bindings, when was the ability to have the desktop flip on Drag only added? If you know. I never noticed it before.

raster closed subtask Restricted Maniphest Task as Wontfix.Aug 6 2014, 1:51 AM
abyomi0 edited this Maniphest Task.Aug 17 2014, 6:00 PM
abyomi0 edited this Maniphest Task.Aug 25 2014, 11:32 AM

Some settings are weird.

For example, the Battery gadget options.
There are some things only reachable from the "Basic" menu and the "Advanced", though I feel the basic options should be reachable from the Advanced menu.

abyomi0 edited this Maniphest Task.Nov 18 2014, 3:42 PM

In elementary.git is a branch called settingswidget, with this settingswidget I plan to display the new settings.

Features we could use:

  • It can display categorys, categorys can be in other categorys, so we are not just having our 2 Layers,
  • The Widget can Focus different panels where settings are displayed,
  • It can be told to focus another panels, so we can add "links" to a panel to open another one.
  • There is a searchfeature

So maybe we should discuss things like:

  • How will we group the new settings?
  • We can link one panel to another one, which should be linked where ?
  • Which panels still need the Advanced thing? Like Yomi said, in many panels this is just a litle bit weird.
  • Which options in panels are still working ?

Something more general, I would like to split the work of rewriting stuff up into severall workparts. So if we are finished with planning we have workparts like:

  • BackgroundImage
  • Compositor Effekts

etc. etc. so no one needs to do the complete work on his own.

ApB added a comment.Dec 15 2014, 6:38 AM

Regarding grouping. The Extensions should be split in various parts. Modules need to be separate. Pager, gadgets and self should move to look. MIxer and notifications to settings (which should be renamed to something else).

Launcher should also move to modules.

The grouping is the easy part. The design of each panel is going to be hell.

t.ask added a subscriber: t.ask.Dec 15 2014, 8:45 AM

I would like to move the design into seterated tickets, so no discussions are conflicting with others.
But we should find here a list which panels need a bit more work, and which just need to be ported.

So you mean Modules is just a panel and the other will be moved under the specific categorys ?

@pavlix <= this discussion here could be interesting for you :)

Here is a list how I would like to see the Look section:

Look:

  • Wallpaper
  • Application Theme
  • Theme
  • Colors
  • Font
  • Borders
  • Transitions
  • Scaling
  • Compositor (New category
    • Styles
    • Rendering (Effekts & Rendering & Framerate)
  • Pager
  • Gadgets
  • Shelf

Just some notes from me... The key bindings are almost unusable. One would like to use the widget to (1) see which actions have bindings set and which are those, (2) see which bindings are being used and what they mean, (3) remove found bindings and (4) add new bindings. Especially the modifications should always be explicit, i.e. the user should know when he's just listing bindings and when he's modifying them.

Also I believe the widget should have an integrated help. The names of the options are often not descriptive but often changing names wouldn't help. The user shouldn't be expected to be an expert on enelightenment/efl internals and should be presented with a reasonably complete help (whether via tooltips, help widgets or whatever). Apart from design, that also means content. I could contribute to the modules that I'm actually using. Experimentation is a nice thing to do but when the user just wants to configure stuff, he should get enough information to make his decisions without testing them out first.

those ideas are cool, could you think of implementing them?

I am thinging on the shelf config itself right now,
What do you think of something like:

where the left gray area is a life preview and the dark gray on the right are the options you can change? I would also like to move the renaming into this dialog, its basically part of the config. If you change a setting the life preview will update. I would also like to split up the api into:

EAPI void e_int_shelf_config(E_Shelf *es);
EAPI Evas_Object* e_int_shelf_config_surface(E_Shelf *es);

with e_int_shelf_config you can start a completly normal elm_win without anything arround it, (for example if the settings module is not loaded).
The e_int_shelf_config_surface will return a Evas_Object which can be added everywhere, for example in the settingswidget.

What do you think ?

ApB added a comment.Dec 25 2014, 11:40 AM

My proposal for the shelves. Haven't put much thought on the settings field but you get the general idea i hope.

mhmm dont like that very much,

preview: ok,

selection of the self: No, selection there is not that nice, I would like it more if you could select a shelf OR change the setting, having this in one screen is a little bit ... meh.

Content: gadgets you will see there ?

Maybe a mixture of both, I will make a mockup but my editor sucks, which one do you use ?

Initial view:

After a click on a shelf:

ApB added a comment.Dec 25 2014, 1:02 PM

You can have it greyed out/inactive until someone selects a shelf. No unnecessary back and forth between setting screens.

I do them on inkscape and export as .png

Part of the idea i posted is not having the settings of the individual shelf in the same way we have them today. Ie. possition can be a drop down menu/hoversel.

Also we need to make the layout consistent as much as we can. Ie something like the one i proposed can also work for background/wallpaper.

And last but not least. Ask @raster opinion. :)

Found pencil, nice tool :)

So you mean just have ONE screen where you can edit all the shelfs ?

Its not direct switching arround between screens, in the second screen the config of the shelf just "overlaps" the list,

Well I dont like the idea of having settings like shelf and wallpaper look like the same ... I would like to have a simular way how they work.

But the way it is working is solved by the settingswidget ( I hope).

ApB added a comment.Dec 25 2014, 1:38 PM

Yes i prefer it in one screen. Like the settings in terminology.

Not fan of having overlaps. Looks messy IMO.

As for the wallpapers i meant something that resembles this. Not the exact same.

Its just a position of view, if you think of a small screen having those many widgets as the settigns for the shelf its a bit more messy than just have one thing at once.

Having them all in one screen brings also other problems, what happens if you changed the settings and then click on a different shelf? Will they be ereased or applyed?

bu5hm4n edited this Maniphest Task.Dec 26 2014, 3:30 AM

In the Gadgets the background settings, what is that ? should this work ? Could we move that into the background settings ?

t.ask added a comment.EditedDec 28 2014, 6:27 AM

The preview is better on the right side cause it's intuitive to see the result of changes to the right (reading direction). On the other hand, why do we need a preview at all? The whole desktop a perfect preview area :) Virtual desktop dimensions could easily be two number input fields. Saves development resources and is well working with small resolutions, too. The vertical order of Virtual Desktop Settings is working quite well IMHO.

  1. To improve Settings window we should write down all currently offerend categories, settings and options into a (markdown) document and then find ways to recategorize everything before we think of GUI redesigns?! It is important to find a logical/intuitve top down way of navigating all offered settings. Maybe devs can help with automatically genearate that document by using existing source code structure?!
  2. Another idea is offering two settings modes one for E beginners and another on for advanced E users.
  3. How about implementing a small "Help E and send in my settings for development" button and analyse which settings/options users actually change and how often which settings were changed.

Those are my quick and dirty notes on this topic :)

abyomi0 added a comment.EditedDec 28 2014, 8:26 AM
In T553#43, @t.ask wrote:

The preview is better on the right side cause it's intuitive to see the result of changes to the right (reading direction). On the other hand, why do we need a preview at all? The whole desktop a perfect preview area :) Virtual desktop dimensions could easily be two number input fields. Saves development resources and is well working with small resolutions, too. The vertical order of Virtual Desktop Settings is working quite well IMHO.

  1. To improve Settings window we should write down all currently offerend categories, settings and options into a (markdown) document and then find ways to recategorize everything before we think of GUI redesigns?! It is important to find a logical/intuitve top down way of navigating all offered settings. Maybe devs can help with automatically genearate that document by using existing source code structure?!
  2. Another idea is offering two settings modes one for E beginners and another on for advanced E users.
  3. How about implementing a small "Help E and send in my settings for development" button and analyse which settings/options users actually change and how often which settings were changed.

    Those are my quick and dirty notes on this topic :)

I think I could handle 1. I finished the compendium awhile ago...
Would the Options compendium page work?
It should be up to date, but I'm not sure...

Compendium

I like the idea behind 3.

I like 3. but this will be something for the the end, at first we need to get those uis :)

What do you mean with the preview is better on the right side ?

I am still not a big fan of having the list of shelfs and the config for the shelfs in one pane. More lickly a segment control at the top in which shelf you are ? I dont like the idea of this list there ... sorry :/

WOW never saw this wiki articel.

you can also put things in deeper levels then jjust 2 sublevels :)

In T553#44, @abyomi0 wrote:

I think I could handle 1.
Would the Options compendium page work?
It should be up to date, but I'm not sure...

Compendium

The Compendium looks good. If it's up to date, then it's possibly a good source to use. Otherwise generating a rudimentary list deirectly from source may another approach. It's a bit worrysome to see that wall of settings and kudos to @couannette for editing this. Possibly it helps to flatten the hole structure to one level of all dialog windows Settings currently offer. Even the sub-dialogs and then tag those dialogs with words they can be accociated with. While not looking at the current categories. Maybe we find a new better structure to organize.

While I'm writing this could we use such a tag-structure to search for settings later on?

t.ask added a comment.Dec 29 2014, 7:47 AM
In T553#45, @bu5hm4n wrote:

I like 3. but this will be something for the the end, at first we need to get those uis :)

The idea is to add a "simple" Send button which sends the current user's settings in a smart way to us. Then we can analyse which settings users often change (diff?). Possibly we see, that users only use 13% of all settings offered. Following that, we can better plan a new UI around those findings. Sure, this needs some dev resources for automatically storing and diff-counting those changes. As this is a bit off-topic here, it's good to open a new task for this. I can imagine, by pressing teh Send button, E packs the user's settings into a tar.gz and opens the browser with a link for uploading (git/phab/https-upload?) this file.

What do you mean with the preview is better on the right side ?

Natually you are reading a book from top/left to bottom/right. The mind is used to find new things to the right. Try it yourself, remeber something or imagine something and recognise where your eyes move :) The right is the side the mind is expecting new information while skimming UIs and text.

I am still not a big fan of having the list of shelfs and the config for the shelfs in one pane. More lickly a segment control at the top in which shelf you are ? I don't like the idea of this list there ... sorry :/

IMHO we can save resources if we begin with reorganizing the settings structure in a way users think. Finding similarities, join them and give them a descriptive (new?) name could be one way to come closer to a more user-centric UI. This can also help with defining new UI widgets needed.

WOW never saw this wiki articel.
you can also put things in deeper levels then jjust 2 sublevels :)

Yes, it's great, while it makes me a bit frightened how to reorganize and build a UI around it, hehe :)

Can we use graphviz http://graphviz.org/ to get a visual overview of the current structure (from Source or Compendium)?

In T553#48, @t.ask wrote:

The idea is to add a "simple" Send button which sends the current user's settings in a smart way to us. Then we can analyse which settings users often change (diff?). Possibly we see, that users only use 13% of all settings offered. Following that, we can better plan a new UI around those findings. Sure, this needs some dev resources for automatically storing and diff-counting those changes. As this is a bit off-topic here, it's good to open a new task for this. I can imagine, by pressing teh Send button, E packs the user's settings into a tar.gz and opens the browser with a link for uploading (git/phab/https-upload?) this file.

Mhmm I guess the new settings should not be designed after which users are using, we should give the user "easy" options to custumize the desktop.
No need to implement such a feature. My plan is not to lower the amount of options, my idea is to sort out the not working ones, and polish the existend.

Natually you are reading a book from top/left to bottom/right. The mind is used to find new things to the right. Try it yourself, remeber something or imagine something and recognise where your eyes move :) The right is the side the mind is expecting new information while skimming UIs and text.

Doesnt change the fact that you can simply click on the left side on another shelf and end up with a "undefined" state, are the done settings deleted or saved ?

IMHO we can save resources if we begin with reorganizing the settings structure in a way users think. Finding similarities, join them and give them a descriptive (new?) name could be one way to come closer to a more user-centric UI. This can also help with defining new UI widgets needed.

Yeah and take a look at elm what is allready there. Today I talked with @cedric about a widget which are just displaying files, (could be used to display background theme icon files). And yes, such a list will be helpfull.

@DaveMDS Is also developing on and with elementary and efl, he can also be pocked for widgets and questions :)

jabol240 added a comment.EditedJan 8 2015, 3:55 AM

Hi all
Sadly I'm not able to build the settingswidget from bu5hm4n coz some errors occur

If someone could help to workaround this, I'll be happy. Or screenshots showing the widget..

Back to the problem

I see chance to get rid of Advanced mode to simplify the panels and make things clearer. After all, many our configs are advanced and never seen elsewhere (like window remembers to mention one) thus will never be touched by "unaware" or "unready" users. Another point is that even advanced settings should be simple enough to display them by default. Let's see where we've got Advanced and Basic distinction:

WallpaperBasic and Advanced easily mergeable. Settings per virtual desktops might need some more serious solutions though, dont you think guys?...
FontsThese are indeed advanced, even in Basic mode. Seem to be mergeable though; advanced users only touch this
ScalingEasily mergeable into Advanced. The Basic chooser is nice and descriptive though
CompositorBasic easily mergeable into Advanced; advanced users only touch this anyway
Window FocusBasic easily mergeable into Advanced, also this section looks very chaotic to me. I'll try to share some ideas later
Language SubcategoriesDont understand them but seem to be easily mergeable
Battery MeterEasy to merge. Some Basic options are missing in Advanced
QuickaccessDon't understand but seems mergeable. Also some Basic options are missing in Advanced
PagerEasily mergeable

and from Clients Menu

Window RememberBasic easily mergeable into Advanced
Window LocksBasic easily mergeable into Advanced. Might need some remodelling too. I'll try to share some ideas later

I'm also trying to think and find a nice settings categories structure... I hope to share some ideas later... in case you can't wait for it :PPP

Also I would like to say that I really loved the Wallpaper2 config we had in E18... Man it was just beautiful... If we could see similar things in E20 that would be wonderful. Any chance?....

Nice work, I just dont agree that only advanced users will enter the Compositor settings, turn off the effects is something a normal user should find and use.

I guess the problem is not that most of those options are "Advanced" and should not be exposed to a normal user, I guess the problem is most of the users just dont understand what those options are, we should add descriptions to the options, what they do and where the dangerous things are.

I just talked with @ApB on irc that we should put something like "design" rules up, most of the panels should follow those rules and work simular.

Anything on the structure is welcome :)

Thanks bu5hm4n

Yes of course we need descriptions, imo tooltips on hover would work fine... For some longer descriptions, comments or manuals we could possibly have some [?] buttons if needed?

Could you please post some screenshot of the widget?... Coz I don't know the following:

Is it the "static" settings panel that we're going with? Where you click an icon on the Main Panel to enter the =>Category with settings and tabs, just like with the Xfce one attached above? Coz .... from what I'm thinking, this limits our "nesting" capability (which you described as "It can display categorys, categorys can be in other categorys, so we are not just having our 2 Layers") coz it would probably look inelegant/chaotic if in the =>Category level, we displayed another menu or icon grid. We can only use tabs/panels there imo...

On the other hand, some more "tree-like" menu with sub-menus, maybe visually resembling this Deepin menu or settings that Android devices have, would imo allow us to use more and smaller sub-categories in our settings tree in a elegant manner, before reaching the bottom-level =>Category...

So, the design that we choose affects our tree structure it seems to me... or maybe I'm wrong and things are simpler than I can see?...

Oh I forgot to write in the answer that you should better build my elementary branch, I have merged this repository into a elementary branch :)

I think the questions on the settingspanel can be cleared with that wikipage wikipage.

With that widget multiple levels are looking quite nice, and not chaotic.

I talked the last two days with @DaveMDS and updated the wikipage for the system how we display things.

jabol240 added a comment.EditedJan 18 2015, 8:37 PM

Hi all :) it took me a while but here I've got some Settings Tree model, hope you gonna like it..

I think the Tree listed here mostly represents the Menu-and-submenus levels, while on the levels below of them I think we can fittingly employ Tabs...


  • Desktop The ones I chose for this category are the ones which would fittingly be configurable by desktop. Many of these could also be nicely presented to user, possibly on fullscreen with some animations etc... In fact we could possibly squeeze them all in Virtual Desktops and from the grid select a VD to configure it, or DnD to rearrange the grid... So these really need more thinking guys
    • Wallpaper
    • Shelves & Gadgets on layers other than Overlay. Possibly edited fullscreen or sth. We could then consider having our gadgets editable only in this edit-mode, thus having all mouse buttons free for use as actions; I think Cinnamon works like this
    • Edges & Actions where choosing an Edge or Desktop presents you with a [=>BINDINGS] panel which is my proposal on how to handle bindings system-wide (explanation on this is below). Edge Bindings need special attention here coz they include unique actions like Dragging windows or Hover, which are also closely related to Virtual Desktops configuration, like abyomi0 mentioned above
    • Tiling and possibly other window-related things like Screen Limits etc
    • Desktop Icons and other EFM settings regarding desktop
    • Virtual Desktops possibly including a link to [Desktop>Edges & Actions] for desktop-switching actions... Also the Popup settings currently in Pager could possibly belong here, so that even users not using the Pager gadget itself can find out that such popup exists
  • Look & Feel
    • Workspace Theme once we have more themes, we could possibly present them in a grid or sth? so user doesn't have to click on it to see it
    • Icon Theme I think one setting for both Efm and Gtk/other apps might be fine. Also our old Files>File Icons could probably fit here as an advanced adjustment
    • GTK & Qt Theme
    • Cursor look and behaviour, possibly including Pointer from old Windows>Window Focus. And a link to [Hardware>Mouse]
    • System Sounds Possibly we can include some settings from Elementary Config here. Also a link to [Hardware>Mixer]
    • Animations
      • Windows "Visual" part of old Look>Compositor plus Shading from old Windows>Window Display
      • Desktop Flip incl. Wallpaper Transition from old Look>Transitions, if we still want this configurable separately
      • EPhysics stuff possibly, if we ever have them back
    • Advanced Some of these would easily fit into Workspace Theme in another tab probably
      • Fonts
      • Colors
      • Scrolling from Elementary Config would possibly fit here
      • UI Scaling I've put Scaling in Screen (see the comment there) but also here could be a place for a separate advanced per Container/Widget scaling? Coz I'm thinking... if we're after mobile world, then some UI things must be scaled bigger for touch, some possibly stay smaller etc. so in this case we gonna need this eventually? Just my guessing. Also a link to [Hardware>Screen>Scaling] here
      • Possibly some other advanced theme & behaviour adjusting like Focus from Elementary Config etc
  • Windows so contents of our old Window Display, Window Focus and Window Geometry minus Shading and possibly Pointer sections, rearranged into
    • Some
    • Nice
    • Submenus
    • Borders from old Look>Borders; this section could be expanded a bit imo, so we can configure layout of the Titlebar to our liking. Also our Signal Bindings belong here as a link to [=>BINDINGS]
    • Window Remembers
  • Utilities & Elements of Interface
    • Menus incl. Window List Menu currently in Windows category; also Favourite Applications currently in Apps category probably belong here in the Favourites Menu section. [=>BINDINGS]
    • Notifications
    • Window Switcher also other window-switching solutions, like the Android one or our old Comp-Scale Module, will fit nicely in this category, Comp-Scale being in fact a sort of a Overlay. [=>BINDINGS]
    • Overlay i.e. a layer with gadgets, displayed on top and stealing mouse input. [=>BINDINGS]
    • Everything Launcher and its plugins. [=>BINDINGS]
  • System | Session, Events & Power This category could probably disappear and be included somewhere else
    • Startup incl. Startup Applications and Restart Applications from old Apps and Startup Splash from old Look>Theme. Also much of old Apps>Desktop Environments would probably fit here
    • Exit incl. contents of our old Advanced>System Controls
    • Screen Lock and unlock
    • Screensaver displayed if Xscreensaver is detected
    • Volumes Mounting incl. settings that are currently in EFM settings
    • Devices Plugging possibly. Screens or other devices plugging policies
    • Power Management incl. current Screen>Blanking, most of the Input>ACPI Bindings and possibly some Advanced>CPU Frequency and Advanced>Battery Meter content. Also link to Xscreensaver if detected
  • Network Would possibly fit into Hardware as well. But placing it here in a visible place gives a user chance to see and memorize it, so in an event of losing their Internet connection they will comfortably just find it here. On the other hand, Gadget will probably point to the same place too.
    • Network Manager so our Econnman. If Econnman is missing I think it would be nice if we linked this section to whatever we can detect installed, like NetworkManager or Wicd
    • Other setups like Network File Systems, Bluetooth possibly, etc.
  • Hardware
    • Mixer plus a link to [Look & Feel>System Sounds]
    • Screen so Setup, Backlight, Scaling sections and a link to [System>Power Management] for ppl looking for screen blanking. Now Scaling probably belongs to Look somewhere. But imo we need scaling per Screen, don't we? In case your primary device is a 640×480 phone and you've just plugged in a UHD screen or sth - you need to scale just that. So imo it will be logical to put Scaling per screen here along with a link to more advanced [Look & Feel>Advanced>UI Scaling]
    • Keyboard so language, config and bindings [=>BINDINGS]
    • Mouse so hardware aspects, link to [Look & Feel>Cursor] and bindings [=>BINDINGS]
    • Touchscreen if detected. Some Elementary Config items might belong here. Also [=>BINDINGS]
    • Touchpad if detected
    • Graphical Tablet possibly, if any detected
    • Printing possibly; link to any printing/CUPS configuration panel detected
    • Possibly we could also include a System Information section or a link to HardInfo (aka System Profiler and Benchmark) but I don't really like the idea myself coz it's not a part of Settings but System Tools
  • Environment & Advanced Settings
    • Time A new category, setting time zone etc. I know we're not aiming for a full Desktop Environment, but this is quite basic imo
    • Language Would easily make a top category but nobody comes here having their language set in the first-run wizard
    • Assistive Technologies once we implement them
    • Default Applications currently in Apps category
    • Modules Switching on/off and configs for those without a gadget. Possibly we could switch them automatically on demand i.e. turn the module on once a user requests it from the relevant menu, as opposite to showing them in the relevant menu after the user turns it on from here
    • Advanced some of these could probably be mixed and merged a bit to save user some clicking, coz they're tiny
      • Compositor The "technical" part of our current Look>Compositor panel
      • Performance
      • Window Process Management from old Windows
      • Search Directories
      • Environment Variables
  • Application Settings If we don't list "Settings" category in E Main Menu>Applications, then we need to list them here
    • EFM
    • Flash Player
    • Thunar
    • etc

Now [=>BINDINGS] is a config panel for Mouse, Keyboard and Touchscreen actions, depending on which of these devices are present in the system. Possibly it could be somehow distinguished from the rest of the menu, by a flip animation or sth, possibly. I've included Touchscreen in it as a proposal for a new feature, coz some bindings are specific to touchscreens, like swipe from the edge or multitouch or gestures. When clicked from a Hardware subcategory, the panel could show all bindings. When clicked from Desktop>Edges & Actions it could show system-wide bindings in case of keyboard, and bindings specific to Desktop and Edges in case of mouse and touchscreen. When clicked from any other place, it would show bindings specific to that UI Element, so clicking on the Element or a key-sequence while the Element has focus. At any time you can switch between the above "contexts" as well as between Mouse, Keyboard and Touchscreen. Of course not all bindings will be always relevant, for example you cannot have keyboard actions on window borders or screen edges

Profiles are missing from my sketch coz I think they might need some big solution like allowing users to switch Profile on the fly or to save some parts of their config as Profiles etc... Now we're starting to over-engineer things and I don't know if we want these kind of troubles right now

Window remembers + compositor window matches + Quickaccess + Window Locks will probably need a big solution too

I've included some Elementary Config items in the tree where I would see them, but I don't really know much about Elementary at all so these are just my guesses..

Thanks for reading ;)

Version 0.2.0 is released ;) hoping it will sparkle more discussion than the previous one

Changelog:


  • Desktop
    • Virtual Desktops to contain their relevant Animations
  • Look & Feel
    • Animations
  • Windows
  • Elements of Interface
    • Windows
    • Animations for these Elements
  • System | Session, Events & Power
  • Hardware
    • Screen to include Screen Lock
    • Power Management
    • Volumes Mounting
  • Environment
    • Session so Startup and Exit

@bu5hm4n are these any good in your opinion?....

@jabol240 sorry for the late answer, I just wrote e_configure2 for enlightenment to start things.

I really like that layout, everything sounds more intuitive and more obvious.

Really good job!! :)

For your foot notices:

I like the idea of some sort of having one place where you can add delete and edit bindings, you added also gesture things and touchscreen, there is a problem, we dont have the ground things for things like gesture things, and normal touchscreens are acting like a cursor device (if I remember correctly).

For profiles: (Also overengenierd) I would like to see something that you can Clone for example the current settings into there own profile, so you have your own state of config and the new state, the problem is that I dont want to do this as a normal part of the config panel, because its somehow a level above the config panel. maybe I can figure out something...

A nice to have for this would also be: If you create a new profile while _not_ cloning it you should see the wizard in the window so you can setup the new profile, and after that choose if you want to switch to this profile or not.

Quickaccess is just fine for that what it does, I would not toucht it, just port the config screen.

For those which are interested in a littlebit more technical details:

  • I am taking a look right now how we could integrate elm_prefs with those panels so we dont need to write every singel panel by hand, and can just do elm_prefs most of the work.
  • Same for elm_prefs_data, writing right now a api that you can load elm_prefs_data directly from e_config_domain
  • I have ported the modules config to econfigure2. I think I will try to find some solution on profiles and bindings next.#

Everyone which wants can test the new stuff, its located in the branch devs/bu5m4n/e_configure2 in enlightenment, you also need the settingswidget to build it :)

jabol240 added a comment.EditedFeb 6 2015, 5:25 AM

thanks @bu5hm4n :)

I forgot to say that this menu layout you've presented in the wiki is really great IMO, clearly better than other DE's have got, isn't it? And good for mobile too

Can you advice how to test it? I thought about this way: install efl-git, elm-git branch settingswidget, e-git branch e_configure2 in a systemd-nspawn container, then from the container run enlightenment_start in Xephyr? Or is there a better/simpler way to do the stuff?... Coz without a container, if I just export PATH=/path/to/your/elm/branch:$PATH then not only the e-git will point to it but also my normal E will... Can we tell E to look for efl/elm binaries in specified locations?...

I just wanted to mention something about the way fonts are allowed to be configured currently.

We've got this...and somehow it is not possible (or not obvious to me) about how I would go about setting all my fonts to say, Roboto, and then changing the style to Thin. Not without selecting each element one by one... :-/

t.ask added a comment.EditedMar 25 2015, 7:57 AM
In T553#62, @abyomi0 wrote:

I just wanted to mention something about the way fonts are allowed to be configured currently.

We've got this...and somehow it is not possible (or not obvious to me) about how I would go about setting all my fonts to say, Roboto, and then changing the style to Thin. Not without selecting each element one by one... :-/

In this case I would like to see some char input sensitive pop down menus. I often feel overwhelmed by those large lists of data. Reminds me of spreadsheets. I think , it's worth to think of places in E where smarter widgets are possible.

The first mock, M7 is just a different layout for the Window Switcher.

The second mock, M8 is a different design for the Wallpaper dialog.

  • Right now, in order to switch the wallpapers of multiple desktops, a user can either change it through the Wallpaper dialog or through the Virtual Desktops Dialog. But, in the wallpaper dialog, a user can only change one desktop wallpaper at a time.

I think this solves that, but...I imagine it would turn out to be a lot more code.

t.ask added a comment.May 20 2015, 4:32 PM

Sometimes I think, we should just skip all those dialogs and just enable "right click picture" + "Use as Wallpaper" in EFM .)

abyomi0 added a comment.EditedJun 8 2015, 9:50 PM

I'm just going to make things slightly easier and post the wireframes here as well.
Added benefit : instead of my crooked lines and terri-bad handwriting, there are now mostly straight clean lines and readable text.

Window Switcher Redesign.

It probably won't replace the original layout, because it's meant as a alternative layout.
Anyway...the triangles on the edges will only appear if there are more apps than the switcher can hold. They'll pulse blue.
That teal border around the edge of the icon on the left hand side is what an application will look like when it's selected.
If possible, I'd like that teal border to slide smoothly to the next application.

Wallpaper

I'm going to attempt to explain this the best I can.
Starting from the far left. This is where the wallpapers will be shown. Larger images and I think the filenames should be displayed underneath, but now that I'm looking at it, I'm not sure if that's the best way to go about it.

Now to the center, this is where the number of virtual desktops are displayed. It should fill depending on the number of virtual desktops the user has created and it should load the current background of that virtual desktop.

Interaction is simple, user clicks on a certain virtual desktop and picks an image to have displayed as the background.

(Now I'm thinking about that — why even bother with the left hand panel if the user is going to click on virtual desktop background they want to change? I thought about users being able to drag images to the virtual desktops, but that seems clunky...the other way I'm imagining it is clicking on a image on the left hand side and then selecting a desktop(s) and hitting apply...)

I also thought of having a timed switcher, to change the backgrounds automatically.
Though, I'm not sure if that should be allowed per desk or...something. I'm thinking about it and it becomes a huge mess when dealing with more than one virtual desktop switching backgrounds.

I think there also needs to be an alert warning users that using really large images can cause E to perform slowly. There have been times when I've used a really large image as the background for multiple desktops and E's performance has suffered greatly as a result.

ApB added a comment.Jun 8 2015, 11:48 PM

On the wallpaper. Why not just DnD from the list and have only the "Use on all desktops" option for those who want the same wallpaper on all VDs.

I've just noticed that using the current wallpaper dialog is painful.

  • I've noticed that its hard to tell what's in the tiny preview window. Ditto with thumbnails, but then that gets me thinking about why the thumbnails are there in the first place if we have the preview window...
  • Thumbnailing also ends up causing the dialog to lag a bit.
shorne added a subscriber: shorne.Nov 7 2015, 7:24 PM

There is an issue with the Virtual Desktop > Flip when dragging setting mentioned in T2826.

The option in Virtual Desktop Settings is already covered (at least as originally designed) by the Edge Bindings so some cleanup there could be in order.

zmike raised the priority of this task from Pending on user input to TODO.Aug 18 2017, 1:53 PM
zmike closed subtask Restricted Maniphest Task as Resolved.Aug 18 2017, 1:57 PM
milk added a subscriber: milk.Apr 26 2018, 11:10 PM